Imported Upstream version 3.52
[platform/upstream/iso-codes.git] / Makefile.in
1 # Makefile.in generated by automake 1.13.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 VPATH = @srcdir@
18 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
19 am__make_running_with_option = \
20   case $${target_option-} in \
21       ?) ;; \
22       *) echo "am__make_running_with_option: internal error: invalid" \
23               "target option '$${target_option-}' specified" >&2; \
24          exit 1;; \
25   esac; \
26   has_opt=no; \
27   sane_makeflags=$$MAKEFLAGS; \
28   if $(am__is_gnu_make); then \
29     sane_makeflags=$$MFLAGS; \
30   else \
31     case $$MAKEFLAGS in \
32       *\\[\ \   ]*) \
33         bs=\\; \
34         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
35           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
36     esac; \
37   fi; \
38   skip_next=no; \
39   strip_trailopt () \
40   { \
41     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
42   }; \
43   for flg in $$sane_makeflags; do \
44     test $$skip_next = yes && { skip_next=no; continue; }; \
45     case $$flg in \
46       *=*|--*) continue;; \
47         -*I) strip_trailopt 'I'; skip_next=yes;; \
48       -*I?*) strip_trailopt 'I';; \
49         -*O) strip_trailopt 'O'; skip_next=yes;; \
50       -*O?*) strip_trailopt 'O';; \
51         -*l) strip_trailopt 'l'; skip_next=yes;; \
52       -*l?*) strip_trailopt 'l';; \
53       -[dEDm]) skip_next=yes;; \
54       -[JT]) skip_next=yes;; \
55     esac; \
56     case $$flg in \
57       *$$target_option*) has_opt=yes; break;; \
58     esac; \
59   done; \
60   test $$has_opt = yes
61 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
62 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
63 pkgdatadir = $(datadir)/@PACKAGE@
64 pkgincludedir = $(includedir)/@PACKAGE@
65 pkglibdir = $(libdir)/@PACKAGE@
66 pkglibexecdir = $(libexecdir)/@PACKAGE@
67 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
68 install_sh_DATA = $(install_sh) -c -m 644
69 install_sh_PROGRAM = $(install_sh) -c
70 install_sh_SCRIPT = $(install_sh) -c
71 INSTALL_HEADER = $(INSTALL_DATA)
72 transform = $(program_transform_name)
73 NORMAL_INSTALL = :
74 PRE_INSTALL = :
75 POST_INSTALL = :
76 NORMAL_UNINSTALL = :
77 PRE_UNINSTALL = :
78 POST_UNINSTALL = :
79 subdir = .
80 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
81         $(top_srcdir)/configure $(am__configure_deps) \
82         $(srcdir)/iso-codes.pc.in ChangeLog INSTALL README TODO \
83         install-sh missing
84 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
85 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
86 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
87         $(ACLOCAL_M4)
88 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
89  configure.lineno config.status.lineno
90 mkinstalldirs = $(install_sh) -d
91 CONFIG_CLEAN_FILES = iso-codes.pc
92 CONFIG_CLEAN_VPATH_FILES =
93 AM_V_P = $(am__v_P_@AM_V@)
94 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
95 am__v_P_0 = false
96 am__v_P_1 = :
97 AM_V_GEN = $(am__v_GEN_@AM_V@)
98 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
99 am__v_GEN_0 = @echo "  GEN     " $@;
100 am__v_GEN_1 = 
101 AM_V_at = $(am__v_at_@AM_V@)
102 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
103 am__v_at_0 = @
104 am__v_at_1 = 
105 SOURCES =
106 DIST_SOURCES =
107 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
108         ctags-recursive dvi-recursive html-recursive info-recursive \
109         install-data-recursive install-dvi-recursive \
110         install-exec-recursive install-html-recursive \
111         install-info-recursive install-pdf-recursive \
112         install-ps-recursive install-recursive installcheck-recursive \
113         installdirs-recursive pdf-recursive ps-recursive \
114         tags-recursive uninstall-recursive
115 am__can_run_installinfo = \
116   case $$AM_UPDATE_INFO_DIR in \
117     n|no|NO) false;; \
118     *) (install-info --version) >/dev/null 2>&1;; \
119   esac
120 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
121 am__vpath_adj = case $$p in \
122     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
123     *) f=$$p;; \
124   esac;
125 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
126 am__install_max = 40
127 am__nobase_strip_setup = \
128   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
129 am__nobase_strip = \
130   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
131 am__nobase_list = $(am__nobase_strip_setup); \
132   for p in $$list; do echo "$$p $$p"; done | \
133   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
134   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
135     if (++n[$$2] == $(am__install_max)) \
136       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
137     END { for (dir in files) print dir, files[dir] }'
138 am__base_list = \
139   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
140   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
141 am__uninstall_files_from_dir = { \
142   test -z "$$files" \
143     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
144     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
145          $(am__cd) "$$dir" && rm -f $$files; }; \
146   }
147 am__installdirs = "$(DESTDIR)$(pkgconfigdir)"
148 DATA = $(pkgconfig_DATA)
149 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
150   distclean-recursive maintainer-clean-recursive
151 am__recursive_targets = \
152   $(RECURSIVE_TARGETS) \
153   $(RECURSIVE_CLEAN_TARGETS) \
154   $(am__extra_recursive_targets)
155 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
156         cscope distdir dist dist-all distcheck
157 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
158 # Read a list of newline-separated strings from the standard input,
159 # and print each of them once, without duplicates.  Input order is
160 # *not* preserved.
161 am__uniquify_input = $(AWK) '\
162   BEGIN { nonempty = 0; } \
163   { items[$$0] = 1; nonempty = 1; } \
164   END { if (nonempty) { for (i in items) print i; }; } \
165 '
166 # Make sure the list of sources is unique.  This is necessary because,
167 # e.g., the same source file might be shared among _SOURCES variables
168 # for different programs/libraries.
169 am__define_uniq_tagged_files = \
170   list='$(am__tagged_files)'; \
171   unique=`for i in $$list; do \
172     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
173   done | $(am__uniquify_input)`
174 ETAGS = etags
175 CTAGS = ctags
176 CSCOPE = cscope
177 DIST_SUBDIRS = $(SUBDIRS)
178 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
179 distdir = $(PACKAGE)-$(VERSION)
180 top_distdir = $(distdir)
181 am__remove_distdir = \
182   if test -d "$(distdir)"; then \
183     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
184       && rm -rf "$(distdir)" \
185       || { sleep 5 && rm -rf "$(distdir)"; }; \
186   else :; fi
187 am__post_remove_distdir = $(am__remove_distdir)
188 am__relativize = \
189   dir0=`pwd`; \
190   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
191   sed_rest='s,^[^/]*/*,,'; \
192   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
193   sed_butlast='s,/*[^/]*$$,,'; \
194   while test -n "$$dir1"; do \
195     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
196     if test "$$first" != "."; then \
197       if test "$$first" = ".."; then \
198         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
199         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
200       else \
201         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
202         if test "$$first2" = "$$first"; then \
203           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
204         else \
205           dir2="../$$dir2"; \
206         fi; \
207         dir0="$$dir0"/"$$first"; \
208       fi; \
209     fi; \
210     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
211   done; \
212   reldir="$$dir2"
213 GZIP_ENV = --best
214 DIST_ARCHIVES = $(distdir).tar.xz
215 DIST_TARGETS = dist-xz
216 distuninstallcheck_listfiles = find . -type f -print
217 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
218   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
219 distcleancheck_listfiles = find . -type f -print
220 ACLOCAL = @ACLOCAL@
221 ACLOCAL_AMFLAGS = @ACLOCAL_AMFLAGS@
222 AMTAR = @AMTAR@
223 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
224 AUTOCONF = @AUTOCONF@
225 AUTOHEADER = @AUTOHEADER@
226 AUTOMAKE = @AUTOMAKE@
227 AWK = @AWK@
228 CYGPATH_W = @CYGPATH_W@
229 DEFS = @DEFS@
230 DOMAINS = @DOMAINS@
231 ECHO_C = @ECHO_C@
232 ECHO_N = @ECHO_N@
233 ECHO_T = @ECHO_T@
234 INSTALL = @INSTALL@
235 INSTALL_DATA = @INSTALL_DATA@
236 INSTALL_PROGRAM = @INSTALL_PROGRAM@
237 INSTALL_SCRIPT = @INSTALL_SCRIPT@
238 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
239 LIBOBJS = @LIBOBJS@
240 LIBS = @LIBS@
241 LTLIBOBJS = @LTLIBOBJS@
242 MAINT = @MAINT@
243 MAKEINFO = @MAKEINFO@
244 MKDIR_P = @MKDIR_P@
245 MSGFILTER = @MSGFILTER@
246 MSGFMT = @MSGFMT@
247 MSGFMT_FLAGS = @MSGFMT_FLAGS@
248 MSGMERGE = @MSGMERGE@
249 PACKAGE = @PACKAGE@
250 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
251 PACKAGE_NAME = @PACKAGE_NAME@
252 PACKAGE_STRING = @PACKAGE_STRING@
253 PACKAGE_TARNAME = @PACKAGE_TARNAME@
254 PACKAGE_URL = @PACKAGE_URL@
255 PACKAGE_VERSION = @PACKAGE_VERSION@
256 PATH_SEPARATOR = @PATH_SEPARATOR@
257 RECODE_SR_LATIN = @RECODE_SR_LATIN@
258 SET_MAKE = @SET_MAKE@
259 SHELL = @SHELL@
260 STRIP = @STRIP@
261 VERSION = @VERSION@
262 abs_builddir = @abs_builddir@
263 abs_srcdir = @abs_srcdir@
264 abs_top_builddir = @abs_top_builddir@
265 abs_top_srcdir = @abs_top_srcdir@
266 am__leading_dot = @am__leading_dot@
267 am__tar = @am__tar@
268 am__untar = @am__untar@
269 bindir = @bindir@
270 build_alias = @build_alias@
271 builddir = @builddir@
272 datadir = @datadir@
273 datarootdir = @datarootdir@
274 docdir = @docdir@
275 dvidir = @dvidir@
276 exec_prefix = @exec_prefix@
277 host_alias = @host_alias@
278 htmldir = @htmldir@
279 includedir = @includedir@
280 infodir = @infodir@
281 install_sh = @install_sh@
282 libdir = @libdir@
283 libexecdir = @libexecdir@
284 localedir = @localedir@
285 localstatedir = @localstatedir@
286 mandir = @mandir@
287 mkdir_p = @mkdir_p@
288 oldincludedir = @oldincludedir@
289 pdfdir = @pdfdir@
290 prefix = @prefix@
291 program_transform_name = @program_transform_name@
292 psdir = @psdir@
293 sbindir = @sbindir@
294 sharedstatedir = @sharedstatedir@
295 srcdir = @srcdir@
296 sysconfdir = @sysconfdir@
297 target_alias = @target_alias@
298 top_build_prefix = @top_build_prefix@
299 top_builddir = @top_builddir@
300 top_srcdir = @top_srcdir@
301 SUBDIRS = iso_15924 iso_3166 iso_3166_2 iso_4217 iso_639 iso_639_3 iso_639_5
302 pkgconfigdir = $(datadir)/pkgconfig
303 pkgconfig_DATA = iso-codes.pc
304 EXTRA_DIST = \
305         LICENSE                 \
306         rules.make              \
307         iso2pot.py              \
308         check_valid_utf8.pl
309
310 DISTCLEANFILES = $(pkgconfig_DATA)
311 all: all-recursive
312
313 .SUFFIXES:
314 am--refresh: Makefile
315         @:
316 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
317         @for dep in $?; do \
318           case '$(am__configure_deps)' in \
319             *$$dep*) \
320               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
321               $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
322                 && exit 0; \
323               exit 1;; \
324           esac; \
325         done; \
326         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
327         $(am__cd) $(top_srcdir) && \
328           $(AUTOMAKE) --foreign Makefile
329 .PRECIOUS: Makefile
330 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
331         @case '$?' in \
332           *config.status*) \
333             echo ' $(SHELL) ./config.status'; \
334             $(SHELL) ./config.status;; \
335           *) \
336             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
337             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
338         esac;
339
340 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
341         $(SHELL) ./config.status --recheck
342
343 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
344         $(am__cd) $(srcdir) && $(AUTOCONF)
345 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
346         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
347 $(am__aclocal_m4_deps):
348 iso-codes.pc: $(top_builddir)/config.status $(srcdir)/iso-codes.pc.in
349         cd $(top_builddir) && $(SHELL) ./config.status $@
350 install-pkgconfigDATA: $(pkgconfig_DATA)
351         @$(NORMAL_INSTALL)
352         @list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
353         if test -n "$$list"; then \
354           echo " $(MKDIR_P) '$(DESTDIR)$(pkgconfigdir)'"; \
355           $(MKDIR_P) "$(DESTDIR)$(pkgconfigdir)" || exit 1; \
356         fi; \
357         for p in $$list; do \
358           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
359           echo "$$d$$p"; \
360         done | $(am__base_list) | \
361         while read files; do \
362           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgconfigdir)'"; \
363           $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgconfigdir)" || exit $$?; \
364         done
365
366 uninstall-pkgconfigDATA:
367         @$(NORMAL_UNINSTALL)
368         @list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
369         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
370         dir='$(DESTDIR)$(pkgconfigdir)'; $(am__uninstall_files_from_dir)
371
372 # This directory's subdirectories are mostly independent; you can cd
373 # into them and run 'make' without going through this Makefile.
374 # To change the values of 'make' variables: instead of editing Makefiles,
375 # (1) if the variable is set in 'config.status', edit 'config.status'
376 #     (which will cause the Makefiles to be regenerated when you run 'make');
377 # (2) otherwise, pass the desired values on the 'make' command line.
378 $(am__recursive_targets):
379         @fail=; \
380         if $(am__make_keepgoing); then \
381           failcom='fail=yes'; \
382         else \
383           failcom='exit 1'; \
384         fi; \
385         dot_seen=no; \
386         target=`echo $@ | sed s/-recursive//`; \
387         case "$@" in \
388           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
389           *) list='$(SUBDIRS)' ;; \
390         esac; \
391         for subdir in $$list; do \
392           echo "Making $$target in $$subdir"; \
393           if test "$$subdir" = "."; then \
394             dot_seen=yes; \
395             local_target="$$target-am"; \
396           else \
397             local_target="$$target"; \
398           fi; \
399           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
400           || eval $$failcom; \
401         done; \
402         if test "$$dot_seen" = "no"; then \
403           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
404         fi; test -z "$$fail"
405
406 ID: $(am__tagged_files)
407         $(am__define_uniq_tagged_files); mkid -fID $$unique
408 tags: tags-recursive
409 TAGS: tags
410
411 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
412         set x; \
413         here=`pwd`; \
414         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
415           include_option=--etags-include; \
416           empty_fix=.; \
417         else \
418           include_option=--include; \
419           empty_fix=; \
420         fi; \
421         list='$(SUBDIRS)'; for subdir in $$list; do \
422           if test "$$subdir" = .; then :; else \
423             test ! -f $$subdir/TAGS || \
424               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
425           fi; \
426         done; \
427         $(am__define_uniq_tagged_files); \
428         shift; \
429         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
430           test -n "$$unique" || unique=$$empty_fix; \
431           if test $$# -gt 0; then \
432             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
433               "$$@" $$unique; \
434           else \
435             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
436               $$unique; \
437           fi; \
438         fi
439 ctags: ctags-recursive
440
441 CTAGS: ctags
442 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
443         $(am__define_uniq_tagged_files); \
444         test -z "$(CTAGS_ARGS)$$unique" \
445           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
446              $$unique
447
448 GTAGS:
449         here=`$(am__cd) $(top_builddir) && pwd` \
450           && $(am__cd) $(top_srcdir) \
451           && gtags -i $(GTAGS_ARGS) "$$here"
452 cscope: cscope.files
453         test ! -s cscope.files \
454           || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
455 clean-cscope:
456         -rm -f cscope.files
457 cscope.files: clean-cscope cscopelist
458 cscopelist: cscopelist-recursive
459
460 cscopelist-am: $(am__tagged_files)
461         list='$(am__tagged_files)'; \
462         case "$(srcdir)" in \
463           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
464           *) sdir=$(subdir)/$(srcdir) ;; \
465         esac; \
466         for i in $$list; do \
467           if test -f "$$i"; then \
468             echo "$(subdir)/$$i"; \
469           else \
470             echo "$$sdir/$$i"; \
471           fi; \
472         done >> $(top_builddir)/cscope.files
473
474 distclean-tags:
475         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
476         -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
477
478 distdir: $(DISTFILES)
479         $(am__remove_distdir)
480         test -d "$(distdir)" || mkdir "$(distdir)"
481         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
482         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
483         list='$(DISTFILES)'; \
484           dist_files=`for file in $$list; do echo $$file; done | \
485           sed -e "s|^$$srcdirstrip/||;t" \
486               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
487         case $$dist_files in \
488           */*) $(MKDIR_P) `echo "$$dist_files" | \
489                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
490                            sort -u` ;; \
491         esac; \
492         for file in $$dist_files; do \
493           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
494           if test -d $$d/$$file; then \
495             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
496             if test -d "$(distdir)/$$file"; then \
497               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
498             fi; \
499             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
500               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
501               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
502             fi; \
503             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
504           else \
505             test -f "$(distdir)/$$file" \
506             || cp -p $$d/$$file "$(distdir)/$$file" \
507             || exit 1; \
508           fi; \
509         done
510         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
511           if test "$$subdir" = .; then :; else \
512             $(am__make_dryrun) \
513               || test -d "$(distdir)/$$subdir" \
514               || $(MKDIR_P) "$(distdir)/$$subdir" \
515               || exit 1; \
516             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
517             $(am__relativize); \
518             new_distdir=$$reldir; \
519             dir1=$$subdir; dir2="$(top_distdir)"; \
520             $(am__relativize); \
521             new_top_distdir=$$reldir; \
522             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
523             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
524             ($(am__cd) $$subdir && \
525               $(MAKE) $(AM_MAKEFLAGS) \
526                 top_distdir="$$new_top_distdir" \
527                 distdir="$$new_distdir" \
528                 am__remove_distdir=: \
529                 am__skip_length_check=: \
530                 am__skip_mode_fix=: \
531                 distdir) \
532               || exit 1; \
533           fi; \
534         done
535         -test -n "$(am__skip_mode_fix)" \
536         || find "$(distdir)" -type d ! -perm -755 \
537                 -exec chmod u+rwx,go+rx {} \; -o \
538           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
539           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
540           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
541         || chmod -R a+r "$(distdir)"
542 dist-gzip: distdir
543         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
544         $(am__post_remove_distdir)
545
546 dist-bzip2: distdir
547         tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
548         $(am__post_remove_distdir)
549
550 dist-lzip: distdir
551         tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
552         $(am__post_remove_distdir)
553 dist-xz: distdir
554         tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
555         $(am__post_remove_distdir)
556
557 dist-tarZ: distdir
558         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
559         $(am__post_remove_distdir)
560
561 dist-shar: distdir
562         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
563         $(am__post_remove_distdir)
564
565 dist-zip: distdir
566         -rm -f $(distdir).zip
567         zip -rq $(distdir).zip $(distdir)
568         $(am__post_remove_distdir)
569
570 dist dist-all:
571         $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
572         $(am__post_remove_distdir)
573
574 # This target untars the dist file and tries a VPATH configuration.  Then
575 # it guarantees that the distribution is self-contained by making another
576 # tarfile.
577 distcheck: dist
578         case '$(DIST_ARCHIVES)' in \
579         *.tar.gz*) \
580           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
581         *.tar.bz2*) \
582           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
583         *.tar.lz*) \
584           lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
585         *.tar.xz*) \
586           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
587         *.tar.Z*) \
588           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
589         *.shar.gz*) \
590           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
591         *.zip*) \
592           unzip $(distdir).zip ;;\
593         esac
594         chmod -R a-w $(distdir)
595         chmod u+w $(distdir)
596         mkdir $(distdir)/_build $(distdir)/_inst
597         chmod a-w $(distdir)
598         test -d $(distdir)/_build || exit 0; \
599         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
600           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
601           && am__cwd=`pwd` \
602           && $(am__cd) $(distdir)/_build \
603           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
604             $(AM_DISTCHECK_CONFIGURE_FLAGS) \
605             $(DISTCHECK_CONFIGURE_FLAGS) \
606           && $(MAKE) $(AM_MAKEFLAGS) \
607           && $(MAKE) $(AM_MAKEFLAGS) dvi \
608           && $(MAKE) $(AM_MAKEFLAGS) check \
609           && $(MAKE) $(AM_MAKEFLAGS) install \
610           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
611           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
612           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
613                 distuninstallcheck \
614           && chmod -R a-w "$$dc_install_base" \
615           && ({ \
616                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
617                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
618                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
619                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
620                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
621               } || { rm -rf "$$dc_destdir"; exit 1; }) \
622           && rm -rf "$$dc_destdir" \
623           && $(MAKE) $(AM_MAKEFLAGS) dist \
624           && rm -rf $(DIST_ARCHIVES) \
625           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
626           && cd "$$am__cwd" \
627           || exit 1
628         $(am__post_remove_distdir)
629         @(echo "$(distdir) archives ready for distribution: "; \
630           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
631           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
632 distuninstallcheck:
633         @test -n '$(distuninstallcheck_dir)' || { \
634           echo 'ERROR: trying to run $@ with an empty' \
635                '$$(distuninstallcheck_dir)' >&2; \
636           exit 1; \
637         }; \
638         $(am__cd) '$(distuninstallcheck_dir)' || { \
639           echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
640           exit 1; \
641         }; \
642         test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
643            || { echo "ERROR: files left after uninstall:" ; \
644                 if test -n "$(DESTDIR)"; then \
645                   echo "  (check DESTDIR support)"; \
646                 fi ; \
647                 $(distuninstallcheck_listfiles) ; \
648                 exit 1; } >&2
649 distcleancheck: distclean
650         @if test '$(srcdir)' = . ; then \
651           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
652           exit 1 ; \
653         fi
654         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
655           || { echo "ERROR: files left in build directory after distclean:" ; \
656                $(distcleancheck_listfiles) ; \
657                exit 1; } >&2
658 check-am: all-am
659 check: check-recursive
660 all-am: Makefile $(DATA)
661 installdirs: installdirs-recursive
662 installdirs-am:
663         for dir in "$(DESTDIR)$(pkgconfigdir)"; do \
664           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
665         done
666 install: install-recursive
667 install-exec: install-exec-recursive
668 install-data: install-data-recursive
669 uninstall: uninstall-recursive
670
671 install-am: all-am
672         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
673
674 installcheck: installcheck-recursive
675 install-strip:
676         if test -z '$(STRIP)'; then \
677           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
678             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
679               install; \
680         else \
681           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
682             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
683             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
684         fi
685 mostlyclean-generic:
686
687 clean-generic:
688
689 distclean-generic:
690         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
691         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
692         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
693
694 maintainer-clean-generic:
695         @echo "This command is intended for maintainers to use"
696         @echo "it deletes files that may require special tools to rebuild."
697 clean: clean-recursive
698
699 clean-am: clean-generic mostlyclean-am
700
701 distclean: distclean-recursive
702         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
703         -rm -f Makefile
704 distclean-am: clean-am distclean-generic distclean-tags
705
706 dvi: dvi-recursive
707
708 dvi-am:
709
710 html: html-recursive
711
712 html-am:
713
714 info: info-recursive
715
716 info-am:
717
718 install-data-am: install-pkgconfigDATA
719
720 install-dvi: install-dvi-recursive
721
722 install-dvi-am:
723
724 install-exec-am:
725
726 install-html: install-html-recursive
727
728 install-html-am:
729
730 install-info: install-info-recursive
731
732 install-info-am:
733
734 install-man:
735
736 install-pdf: install-pdf-recursive
737
738 install-pdf-am:
739
740 install-ps: install-ps-recursive
741
742 install-ps-am:
743
744 installcheck-am:
745
746 maintainer-clean: maintainer-clean-recursive
747         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
748         -rm -rf $(top_srcdir)/autom4te.cache
749         -rm -f Makefile
750 maintainer-clean-am: distclean-am maintainer-clean-generic
751
752 mostlyclean: mostlyclean-recursive
753
754 mostlyclean-am: mostlyclean-generic
755
756 pdf: pdf-recursive
757
758 pdf-am:
759
760 ps: ps-recursive
761
762 ps-am:
763
764 uninstall-am: uninstall-pkgconfigDATA
765
766 .MAKE: $(am__recursive_targets) install-am install-strip
767
768 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
769         am--refresh check check-am clean clean-cscope clean-generic \
770         cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
771         dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
772         distcheck distclean distclean-generic distclean-tags \
773         distcleancheck distdir distuninstallcheck dvi dvi-am html \
774         html-am info info-am install install-am install-data \
775         install-data-am install-dvi install-dvi-am install-exec \
776         install-exec-am install-html install-html-am install-info \
777         install-info-am install-man install-pdf install-pdf-am \
778         install-pkgconfigDATA install-ps install-ps-am install-strip \
779         installcheck installcheck-am installdirs installdirs-am \
780         maintainer-clean maintainer-clean-generic mostlyclean \
781         mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
782         uninstall-am uninstall-pkgconfigDATA
783
784
785 .PHONY: release
786 release: update-po check distcheck
787
788 .PHONY: update-po
789 update-po:
790         for domain in $(SUBDIRS); do \
791                 cd $$domain && make update-po && cd ..; \
792         done
793
794 .PHONY: sign-release
795 sign-release: iso-codes-$(VERSION).tar.xz
796         rm -f iso-codes-$(VERSION).tar.xz.sig
797         gpg --detach-sign iso-codes-$(VERSION).tar.xz
798
799 .PHONY: upload
800 upload:
801         @if [[ -f "iso-codes-$(VERSION).tar.xz" ]] \
802         && [[ -f "iso-codes-$(VERSION).tar.xz.sig" ]]; then \
803                 scp iso-codes-$(VERSION).tar.* \
804                 alioth.debian.org:/srv/home/groups/pkg-isocodes/htdocs/downloads; \
805         fi
806
807 # Tell versions [3.59,3.63) of GNU make to not export all variables.
808 # Otherwise a system limit (for SysV at least) may be exceeded.
809 .NOEXPORT: